%------------------------------------------------------------------------------
% File     : SEU897^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem THM30
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0413 [Bro09]
%          : THM30 [TPS]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.43 v6.4.0, 0.33 v6.3.0, 0.40 v6.2.0, 0.14 v6.1.0, 0.43 v6.0.0, 0.29 v5.5.0, 0.33 v5.4.0, 0.40 v5.3.0, 0.60 v5.2.0, 0.40 v5.0.0, 0.60 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   16 (   2 equality;  10 variable)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   11 (   0   ~;   0   |;   2   &;   6   @)
%                                         (   1 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :;   0   =)
%            Number of variables   :    5 (   0 sgn;   3   !;   2   ?;   0   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cS,type,(
    cS: a > $o )).

thf(cR,type,(
    cR: a > $o )).

thf(cTHM30_pme,conjecture,
    ( ! [Xx: a] :
        ( ( cR @ Xx )
       => ( cS @ Xx ) )
  <=> ! [F: a > a,Xx: a] :
        ( ? [Xt: a] :
            ( ( cR @ Xt )
            & ( Xx
              = ( F @ Xt ) ) )
       => ? [Xt: a] :
            ( ( cS @ Xt )
            & ( Xx
              = ( F @ Xt ) ) ) ) )).

%------------------------------------------------------------------------------
