%------------------------------------------------------------------------------
% File     : SEU898^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem THM132
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0424 [Bro09]
%          : THM132 [TPS]

% Status   : Theorem
% Rating   : 0.12 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.00 v6.1.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   35 (   2 equality;  33 variable)
%            Maximal formula depth :   13 (   8 average)
%            Number of connectives :   30 (   0   ~;   0   |;   3   &;  21   @)
%                                         (   0 <=>;   6  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :    8 (   0 sgn;   8   !;   0   ?;   0   ^)
%                                         (   8   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM132_pme,conjecture,(
    ! [Xh: a > a,Xs: a > $o,Xf: a > a] :
      ( ( ! [Xx: a] :
            ( ( Xs @ Xx )
           => ( Xs @ ( Xf @ Xx ) ) )
        & ! [Xx: a] :
            ( ( Xs @ Xx )
           => ( Xs @ ( Xf @ Xx ) ) )
        & ! [Xx: a] :
            ( ( Xs @ Xx )
           => ( Xs @ ( Xh @ Xx ) ) )
        & ! [Xx: a] :
            ( ( Xs @ Xx )
           => ( ( Xh @ ( Xf @ Xx ) )
              = ( Xf @ ( Xh @ Xx ) ) ) ) )
     => ! [Xx: a] :
          ( ( Xs @ Xx )
         => ( ( Xh @ ( Xh @ ( Xf @ Xx ) ) )
            = ( Xf @ ( Xh @ ( Xh @ Xx ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
