%------------------------------------------------------------------------------
% File     : SEV170^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem from PAIRS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1093 [Bro09]

% Status   : Theorem
% Rating   : 0.88 v7.0.0, 0.86 v6.4.0, 0.83 v6.3.0, 0.80 v6.2.0, 0.86 v5.5.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   37 (   5 equality;  32 variable)
%            Maximal formula depth :   15 (   8 average)
%            Number of connectives :   26 (   0   ~;   0   |;   3   &;  20   @)
%                                         (   1 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   14 (  14   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :   25 (   8 sgn;   7   !;   0   ?;  18   ^)
%                                         (  25   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM190_pme,conjecture,(
    ! [Xr: a > a > a > a > $o] :
      ( ! [Xp: ( a > a > a ) > a,Xq: ( a > a > a ) > a] :
          ( ( ( Xp
              = ( ^ [Xg: a > a > a] :
                    ( Xg
                    @ ( Xp
                      @ ^ [Xx: a,Xy: a] : Xx )
                    @ ( Xp
                      @ ^ [Xx: a,Xy: a] : Xy ) ) ) )
            & ( Xq
              = ( ^ [Xg: a > a > a] :
                    ( Xg
                    @ ( Xq
                      @ ^ [Xx: a,Xy: a] : Xx )
                    @ ( Xq
                      @ ^ [Xx: a,Xy: a] : Xy ) ) ) )
            & ( Xr
              @ ( Xp
                @ ^ [Xx: a,Xy: a] : Xx )
              @ ( Xp
                @ ^ [Xx: a,Xy: a] : Xy )
              @ ( Xq
                @ ^ [Xx: a,Xy: a] : Xx )
              @ ( Xq
                @ ^ [Xx: a,Xy: a] : Xy ) ) )
         => ( Xp = Xq ) )
    <=> ! [Xx1: a,Xy1: a,Xx2: a,Xy2: a] :
          ( ( Xr @ Xx1 @ Xy1 @ Xx2 @ Xy2 )
         => ( ( Xx1 = Xx2 )
            & ( Xy1 = Xy2 ) ) ) ) )).

%------------------------------------------------------------------------------
