%------------------------------------------------------------------------------
% File     : SEV227^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Sets of sets)
% Problem  : TPS problem X5200
% Version  : Especial.
% English  : 

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0115 [Bro09]
%          : X5200 [TPS]

% Status   : Theorem
% Rating   : 0.12 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.1.0, 0.40 v5.0.0, 0.20 v4.1.0, 0.00 v4.0.1, 0.33 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   13 (   3 equality;   6 variable)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :    6 (   0   ~;   2   |;   1   &;   3   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :;   0   =)
%            Number of variables   :    3 (   0 sgn;   0   !;   1   ?;   2   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(y,type,(
    y: a > $o )).

thf(x,type,(
    x: a > $o )).

thf(cX5200_pme,conjecture,
    ( ( ^ [Xz: a] :
          ( ( x @ Xz )
          | ( y @ Xz ) ) )
    = ( ^ [Xx0: a] :
        ? [S: a > $o] :
          ( ( ( S = x )
            | ( S = y ) )
          & ( S @ Xx0 ) ) ) )).

%------------------------------------------------------------------------------
