%------------------------------------------------------------------------------
% File     : SYO084^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM75
% Version  : Especial.
% English  : Related to THM87, which was used for CADE-6.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0116 [Bro09]
%          : THM75 [TPS]

% Status   : Theorem
% Rating   : 0.14 v7.0.0, 0.12 v6.4.0, 0.14 v6.3.0, 0.17 v6.0.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    5 (   0 unit;   4 type;   0 defn)
%            Number of atoms       :   14 (   0 equality;   8 variable)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   13 (   0   ~;   1   |;   0   &;  11   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   4   :;   0   =)
%            Number of variables   :    3 (   0 sgn;   1   !;   2   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cP,type,(
    cP: $i > $i > $i > $o )).

thf(k,type,(
    k: $i > $i )).

thf(h,type,(
    h: $i > $i )).

thf(a,type,(
    a: $i )).

thf(cTHM75,conjecture,(
    ? [Xv: $i] :
    ! [Xj: $i] :
    ? [Xq: $i] :
      ( ( ( cP @ a @ Xj @ ( h @ Xj ) )
        | ( cP @ Xv @ Xj @ ( k @ Xj ) ) )
     => ( cP @ Xv @ Xj @ Xq ) ) )).

%------------------------------------------------------------------------------
