%------------------------------------------------------------------------------
% File     : SYO154^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-FO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0818 [Bro09]

% Status   : Theorem
% Rating   : 0.14 v7.0.0, 0.12 v6.4.0, 0.14 v6.3.0, 0.17 v6.0.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    7 (   0 unit;   6 type;   0 defn)
%            Number of atoms       :   14 (   0 equality;   5 variable)
%            Maximal formula depth :    8 (   4 average)
%            Number of connectives :   13 (   0   ~;   0   |;   2   &;   8   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    8 (   6   :;   0   =)
%            Number of variables   :    3 (   0 sgn;   2   !;   1   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cR,type,(
    cR: $i > $o )).

thf(g,type,(
    g: $i > $i )).

thf(cQ,type,(
    cQ: $i > $o )).

thf(f,type,(
    f: $i > $i )).

thf(cP,type,(
    cP: $i > $o )).

thf(a,type,(
    a: $i )).

thf(cDEMO_TRIV1,conjecture,
    ( ( ( cP @ a )
      & ! [Xx: $i] :
          ( ( cP @ Xx )
         => ( cQ @ ( f @ Xx ) ) )
      & ! [Xy: $i] :
          ( ( cQ @ Xy )
         => ( cR @ ( g @ Xy ) ) ) )
   => ? [Xw: $i] :
        ( cR @ Xw ) )).

%------------------------------------------------------------------------------
