%------------------------------------------------------------------------------
% File     : SYO334^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1076 [Bro09]

% Status   : Theorem
% Rating   : 0.71 v7.0.0, 0.75 v6.4.0, 0.86 v6.3.0, 0.83 v6.2.0, 1.00 v6.1.0, 0.83 v6.0.0, 0.67 v5.5.0, 0.80 v5.4.0, 1.00 v5.0.0, 0.75 v4.1.0, 0.67 v4.0.1, 1.00 v4.0.0
% Syntax   : Number of formulae    :    7 (   0 unit;   6 type;   0 defn)
%            Number of atoms       :   45 (   0 equality;  39 variable)
%            Maximal formula depth :   16 (   5 average)
%            Number of connectives :   44 (   0   ~;   0   |;   3   &;  35   @)
%                                         (   0 <=>;   6  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   14 (  14   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    8 (   6   :;   0   =)
%            Number of variables   :   17 (   0 sgn;  16   !;   1   ?;   0   ^)
%                                         (  17   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(c_type,type,(
    c: $tType )).

thf(b_type,type,(
    b: $tType )).

thf(a_type,type,(
    a: $tType )).

thf(c_starc,type,(
    c_starc: c > c > c )).

thf(c_starb,type,(
    c_starb: b > b > b )).

thf(c_stara,type,(
    c_stara: a > a > a )).

thf(cTHM270_INST,conjecture,(
    ! [Xf: a > b,Xg: a > c,Xh: b > c] :
      ( ( ! [Xx: a,Xq: c > $o] :
            ( ( Xq @ ( Xh @ ( Xf @ Xx ) ) )
           => ( Xq @ ( Xg @ Xx ) ) )
        & ! [Xy: b] :
          ? [Xx: a] :
          ! [Xq: b > $o] :
            ( ( Xq @ ( Xf @ Xx ) )
           => ( Xq @ Xy ) )
        & ! [Xx: a,Xy: a,Xq: b > $o] :
            ( ( Xq @ ( Xf @ ( c_stara @ Xx @ Xy ) ) )
           => ( Xq @ ( c_starb @ ( Xf @ Xx ) @ ( Xf @ Xy ) ) ) )
        & ! [Xx: a,Xy: a,Xq: c > $o] :
            ( ( Xq @ ( Xg @ ( c_stara @ Xx @ Xy ) ) )
           => ( Xq @ ( c_starc @ ( Xg @ Xx ) @ ( Xg @ Xy ) ) ) ) )
     => ! [Xx: b,Xy: b,Xq: c > $o] :
          ( ( Xq @ ( Xh @ ( c_starb @ Xx @ Xy ) ) )
         => ( Xq @ ( c_starc @ ( Xh @ Xx ) @ ( Xh @ Xy ) ) ) ) ) )).

%------------------------------------------------------------------------------
