%------------------------------------------------------------------------------
% File     : NUM417^1 : TPTP v7.0.0. Released v3.6.0.
% Domain   : Number Theory
% Problem  : (10 * 10) * (10 * 10) = ((10 * 10) * 10) * 10
% Version  : [Ben08] axioms : Especial.
% English  :

% Refs     : [Ben08] Benzmueller (2008), Email to G. Sutcliffe
% Source   : [Ben08]
% Names    : CHURCH_NUM_3 [Ben08]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.29 v6.4.0, 0.33 v6.3.0, 0.40 v6.2.0, 0.57 v5.5.0, 0.50 v5.4.0, 0.60 v5.2.0, 0.80 v4.1.0, 0.67 v4.0.1, 1.00 v4.0.0, 0.67 v3.7.0
% Syntax   : Number of formulae    :   29 (   0 unit;  14 type;  14 defn)
%            Number of atoms       :  122 (  15 equality;  79 variable)
%            Maximal formula depth :   14 (   7 average)
%            Number of connectives :   77 (   0   ~;   0   |;   0   &;  77   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   91 (  91   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   15 (  14   :;   0   =)
%            Number of variables   :   33 (   1 sgn;   0   !;   0   ?;  33   ^)
%                                         (  33   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This is a challenge for the data structures of a theorem prover
%            since the terms get rather big.
%          : 
%------------------------------------------------------------------------------
%----Include church numerals definitions
include('Axioms/NUM006^0.ax').
%------------------------------------------------------------------------------
thf(thm,conjecture,
    ( ( mult @ ( mult @ ten @ ten ) @ ( mult @ ten @ ten ) )
    = ( mult @ ( mult @ ( mult @ ten @ ten ) @ ten ) @ ten ) )).

%------------------------------------------------------------------------------
