%------------------------------------------------------------------------------
% File     : PHI005^1 : TPTP v7.0.0. Released v6.1.0.
% Domain   : Philosophy
% Problem  : Necessarily, God exists
% Version  : [Ben13] axioms.
% English  : 

% Refs     : [Ben13] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben13]
% Names    : T3 [Ben13]

% Status   : Theorem
% Rating   : 1.00 v6.1.0
% Syntax   : Number of formulae    :   62 (   0 unit;  29 type;  26 defn)
%            Number of atoms       :  205 (  27 equality;  97 variable)
%            Maximal formula depth :   15 (   6 average)
%            Number of connectives :  123 (   5   ~;   3   |;   4   &; 107   @)
%                                         (   1 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :  171 ( 171   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   34 (  29   :;   0   =)
%            Number of variables   :   74 (   3 sgn;   8   !;   4   ?;  62   ^)
%                                         (  74   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Axioms for Quantified Modal Logic KB.
include('Axioms/LCL016^0.ax').
include('Axioms/LCL016^1.ax').
%----Axioms about God
include('Axioms/PHI001^0.ax').
%------------------------------------------------------------------------------
%----T3: Necessarily God exists.
thf(thmT3,conjecture,
    ( mvalid
    @ ( mbox
      @ ( mexists_ind
        @ ^ [X: mu] :
            ( god @ X ) ) ) )).
%------------------------------------------------------------------------------
