%------------------------------------------------------------------------------
% File     : QUA002^1 : TPTP v7.0.0. Released v4.1.0.
% Domain   : Quantales
% Problem  : Addition (Sumpremum) is commutative
% Version  : [Hoe09] axioms.
% English  :

% Refs     : [Con71] Conway (1971), Regular Algebra and Finite Machines
%          : [Hoe09] Hoefner (2009), Email to Geoff Sutcliffe
% Source   : [Hoe09]
% Names    : QUA02 [Hoe09] 

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.29 v6.0.0, 0.57 v5.5.0, 0.67 v5.4.0, 0.80 v5.3.0, 0.60 v5.1.0, 0.80 v5.0.0, 0.60 v4.1.0
% Syntax   : Number of formulae    :   27 (   0 unit;  12 type;   7 defn)
%            Number of atoms       :   98 (  18 equality;  44 variable)
%            Maximal formula depth :   12 (   5 average)
%            Number of connectives :   47 (   0   ~;   1   |;   4   &;  41   @)
%                                         (   1 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   43 (  43   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   15 (  12   :;   0   =)
%            Number of variables   :   29 (   1 sgn;  10   !;   4   ?;  15   ^)
%                                         (  29   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms for Quantales
include('Axioms/QUA001^0.ax').
%------------------------------------------------------------------------------
thf(addition_comm,conjecture,(
    ! [X1: $i,X2: $i] :
      ( ( addition @ X1 @ X2 )
      = ( addition @ X2 @ X1 ) ) )).

%------------------------------------------------------------------------------
