%------------------------------------------------------------------------------
% File     : QUA010^1 : TPTP v7.0.0. Released v4.1.0.
% Domain   : Quantales
% Problem  : 0 is least element w.r.t. leq
% Version  : [Hoe09] axioms.
% English  :

% Refs     : [Con71] Conway (1971), Regular Algebra and Finite Machines
%          : [Hoe09] Hoefner (2009), Email to Geoff Sutcliffe
% Source   : [Hoe09]
% Names    : QUA10 [Hoe09] 

% Status   : Theorem
% Rating   : 1.00 v4.1.0
% Syntax   : Number of formulae    :   27 (   0 unit;  12 type;   7 defn)
%            Number of atoms       :   99 (  18 equality;  42 variable)
%            Maximal formula depth :   12 (   5 average)
%            Number of connectives :   48 (   0   ~;   1   |;   4   &;  42   @)
%                                         (   1 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   44 (  44   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   15 (  12   :;   0   =)
%            Number of variables   :   28 (   1 sgn;   9   !;   4   ?;  15   ^)
%                                         (  28   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms for Quantales
include('Axioms/QUA001^0.ax').
%------------------------------------------------------------------------------
thf(zero_least,conjecture,(
    ! [X: $i > $o] :
      ( ( sup @ ( union @ X @ ( singleton @ zero ) ) )
      = ( sup @ X ) ) )).

%------------------------------------------------------------------------------
