%------------------------------------------------------------------------------
% File     : SYO111^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM80
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0465 [Bro09]
%          : tps_1015 [Bro09]
%          : THM80 [TPS]

% Status   : Theorem
% Rating   : 0.14 v7.0.0, 0.12 v6.4.0, 0.14 v6.3.0, 0.17 v6.0.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   24 (   0 equality;  12 variable)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   33 (  10   ~;  10   |;   0   &;  12   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :;   0   =)
%            Number of variables   :   12 (   0 sgn;   8   !;   4   ?;   0   ^)
%                                         (  12   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cG,type,(
    cG: $i > $o )).

thf(cN,type,(
    cN: $i > $o )).

thf(cM,type,(
    cM: $i > $o )).

thf(cTHM80,conjecture,
    ( ( ! [R: $i] :
          ( cM @ R )
      | ? [X: $i] :
          ~ ( cG @ X )
      | ~ ( ! [Y: $i] :
              ( cM @ Y )
          | ? [S: $i] :
              ( cN @ S ) )
      | ~ ( ! [Z: $i] :
              ~ ( cN @ Z )
          | ~ ( ! [T: $i] :
                  ( cG @ T ) ) ) )
   => ( ! [R: $i] :
          ( cM @ R )
      | ? [X: $i] :
          ~ ( cG @ X )
      | ~ ( ! [Y: $i] :
              ( ( cM @ Y )
              | ? [S: $i] :
                  ( cN @ S ) ) )
      | ~ ( ! [Z: $i] :
              ( ~ ( cN @ Z )
              | ~ ( ! [T: $i] :
                      ( cG @ T ) ) ) ) ) )).

%------------------------------------------------------------------------------
