%------------------------------------------------------------------------------
% File     : SYO290^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0696 [Bro09]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.17 v6.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    5 (   0 unit;   4 type;   0 defn)
%            Number of atoms       :    8 (   0 equality;   2 variable)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :    8 (   1   ~;   1   |;   0   &;   6   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   4   :;   0   =)
%            Number of variables   :    2 (   0 sgn;   0   !;   0   ?;   2   ^)
%                                         (   2   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(g2,type,(
    g2: a > a )).

thf(g1,type,(
    g1: a > a )).

thf(p,type,(
    p: ( a > a ) > $o )).

thf(cTRANS_BUG_EX2,conjecture,
    ( ~ ( p
        @ ^ [Xw: a] :
            ( g1 @ ( g2 @ Xw ) ) )
    | ( p
      @ ^ [Xx: a] :
          ( g1 @ ( g2 @ Xx ) ) ) )).

%------------------------------------------------------------------------------
