%------------------------------------------------------------------------------
% File     : SYO515^1 : TPTP v7.0.0. Bugfixed v5.2.0.
% Domain   : Syntactic
% Problem  : A choice operator at type oo
% Version  : Especial.
% English  : 

% Refs     : [Bro09] Brown E. (2009), Email to Geoff Sutcliffe
%          : [Hoe09] Hoeschele (2009), Towards a Semi-Automatic Higher-Orde
% Source   : [Bro09]
% Names    : choiceoo1 [Bro09]

% Status   : Theorem
% Rating   : 0.50 v7.0.0, 0.43 v6.4.0, 0.50 v6.3.0, 0.60 v6.2.0, 0.57 v5.5.0, 0.50 v5.4.0, 0.80 v5.2.0
% Syntax   : Number of formulae    :    3 (   0 unit;   1 type;   1 defn)
%            Number of atoms       :   15 (   2 equality;   9 variable)
%            Maximal formula depth :   10 (   7 average)
%            Number of connectives :   12 (   3   ~;   1   |;   1   &;   6   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    9 (   9   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   1   :;   0   =)
%            Number of variables   :    7 (   2 sgn;   1   !;   1   ?;   5   ^)
%                                         (   7   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
% Bugfixes : v5.2.0 - Definition of t converted to =
%------------------------------------------------------------------------------
thf(t_type,type,(
    t: ( ( $o > $o ) > $o ) > $o > $o )).

thf(t,definition,
    ( t
    = ( ^ [P: ( $o > $o ) > $o,X: $o] :
          ( ~ ( P
              @ ^ [X: $o] : $false )
          & ( ( P
              @ ^ [X: $o] : $true )
            | ( ( P
                @ ^ [X: $o] : ~ ( X ) )
              = ( ~ ( X ) ) ) ) ) ) )).

thf(choiceoo1,conjecture,(
    ! [P: ( $o > $o ) > $o] :
      ( ? [Y: $o > $o] :
          ( P @ Y )
     => ( P @ ( t @ P ) ) ) )).

%------------------------------------------------------------------------------
